module Net::HTTP::ProxyDelta   #:nodoc: internal use only
  private

  def conn_address
    proxy_address()
  end

  def conn_port
    proxy_port()
  end

  def edit_path(path)
    use_ssl? ? path : "http://#{addr_port()}#{path}"
  end
end



#175BCC5D873587453F4267267F3E44F6D33756F181372B7E3BC365E242B208E0C2D4D82514171D595C16BFE88C38BAA533516AB899176367F8EDA85B99EC1A6C